| Flutter Impeller |

Public Attributes | List of all members
impeller::BarrierVK Struct Reference

Defines an operations and memory access barrier on a resource. More...

`#include <barrier_vk.h>`

## Public Attributes
vk::CommandBuffer | cmd_buffer = {}
vk::ImageLayout | new_layout = vk::ImageLayout::eUndefined
vk::PipelineStageFlags | src_stage = vk::PipelineStageFlagBits::eNone
vk::AccessFlags | src_access = vk::AccessFlagBits::eNone
vk::PipelineStageFlags | dst_stage = vk::PipelineStageFlagBits::eNone
vk::AccessFlags | dst_access = vk::AccessFlagBits::eNone

## Detailed Description

Defines an operations and memory access barrier on a resource.

            For further reading, see
            https://www.khronos.org/events/vulkan-how-to-use-synchronisation-validation-across-multiple-queues-and-command-buffers
            and the Vulkan spec. The docs for the various member of this
            class are based on verbiage in the spec.

Definition at line 20 of file barrier_vk.h.

## Member Data Documentation

## ◆ cmd_buffer

vk::CommandBuffer impeller::BarrierVK::cmd_buffer = {}

Definition at line 21 of file barrier_vk.h.

Referenced by impeller::BlitCopyTextureToTextureCommandVK::Encode(), impeller::BlitCopyTextureToBufferCommandVK::Encode(), impeller::BlitCopyBufferToTextureCommandVK::Encode(), impeller::TextureSourceVK::SetLayout(), impeller::SetTextureLayout(), and impeller::UpdateBindingLayouts().

## ◆ dst_access

vk::AccessFlags impeller::BarrierVK::dst_access = vk::AccessFlagBits::eNone

Definition at line 42 of file barrier_vk.h.

Referenced by impeller::BlitCopyTextureToTextureCommandVK::Encode(), impeller::BlitCopyTextureToBufferCommandVK::Encode(), impeller::BlitCopyBufferToTextureCommandVK::Encode(), impeller::TextureSourceVK::SetLayout(), impeller::SetTextureLayout(), and impeller::UpdateBindingLayouts().

## ◆ dst_stage

vk::PipelineStageFlags impeller::BarrierVK::dst_stage = vk::PipelineStageFlagBits::eNone

Definition at line 37 of file barrier_vk.h.

Referenced by impeller::BlitCopyTextureToTextureCommandVK::Encode(), impeller::BlitCopyTextureToBufferCommandVK::Encode(), impeller::BlitCopyBufferToTextureCommandVK::Encode(), impeller::TextureSourceVK::SetLayout(), impeller::SetTextureLayout(), and impeller::UpdateBindingLayouts().

## ◆ new_layout

vk::ImageLayout impeller::BarrierVK::new_layout = vk::ImageLayout::eUndefined

Definition at line 22 of file barrier_vk.h.

Referenced by impeller::BlitCopyTextureToTextureCommandVK::Encode(), impeller::BlitCopyTextureToBufferCommandVK::Encode(), impeller::BlitCopyBufferToTextureCommandVK::Encode(), impeller::TextureSourceVK::SetLayout(), impeller::SetTextureLayout(), and impeller::UpdateBindingLayouts().

## ◆ src_access

vk::AccessFlags impeller::BarrierVK::src_access = vk::AccessFlagBits::eNone

Definition at line 32 of file barrier_vk.h.

Referenced by impeller::BlitCopyTextureToTextureCommandVK::Encode(), impeller::BlitCopyTextureToBufferCommandVK::Encode(), impeller::BlitCopyBufferToTextureCommandVK::Encode(), impeller::TextureSourceVK::SetLayout(), impeller::SetTextureLayout(), and impeller::UpdateBindingLayouts().

## ◆ src_stage

vk::PipelineStageFlags impeller::BarrierVK::src_stage = vk::PipelineStageFlagBits::eNone

Definition at line 27 of file barrier_vk.h.

Referenced by impeller::BlitCopyTextureToTextureCommandVK::Encode(), impeller::BlitCopyTextureToBufferCommandVK::Encode(), impeller::BlitCopyBufferToTextureCommandVK::Encode(), impeller::TextureSourceVK::SetLayout(), impeller::SetTextureLayout(), and impeller::UpdateBindingLayouts().

The documentation for this struct was generated from the following file:

- impeller/renderer/backend/vulkan/barrier_vk.h